DataURLUtil (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.util

## Class DataURLUtil

- java.lang.Object
- - org.apache.fop.util.DataURLUtil

- Deprecated.
  use org.apache.xmlgraphics.util.uri.DataURLUtil directly

      public final class DataURLUtil
      extends java.lang.Object

  See Also:
    `DataURLUtil`

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `createDataURL(java.io.InputStream in, java.lang.String mediatype)` Deprecated.
    `static void` | `writeDataURL(java.io.InputStream in, java.lang.String mediatype, java.io.Writer writer)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createDataURL

          public static java.lang.String createDataURL(java.io.InputStream in,
                                                       java.lang.String mediatype)
                                                throws java.io.IOException

      Deprecated.
      Parameters:
        `in` - an input stream
        `mediatype` - a MIME media type
      Returns:
        a data url as a string
      Throws:
        `java.io.IOException` - if not caught
      See Also:
        `DataURLUtil.createDataURL(InputStream, String)`

    - #### writeDataURL

          public static void writeDataURL(java.io.InputStream in,
                                          java.lang.String mediatype,
                                          java.io.Writer writer)
                                   throws java.io.IOException

      Deprecated.
      Parameters:
        `in` - an input stream
        `mediatype` - a MIME media type
        `writer` - a writer
      Throws:
        `java.io.IOException` - if not caught
      See Also:
        `DataURLUtil.writeDataURL(InputStream, String, Writer)`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.